import React from 'react';
import { Image, Platform, requireNativeComponent } from 'react-native';
export const GifViewManager = requireNativeComponent('GifImage');

const GifImage = props => {
  const {
    style,
    source,
    resizeMode,
    paused = false,
    onLoadEnd,
    useCPU = false,
    quality = 1,
    placeholderUrl
  } = props;
  const relovedSource = Image.resolveAssetSource(source);
  return Platform.OS === 'ios' ? /*#__PURE__*/React.createElement(GifViewManager, {
    style: style,
    source: relovedSource.uri,
    resizeMode: resizeMode,
    paused: paused,
    onLoadEnd: onLoadEnd,
    placeholderUrl: placeholderUrl,
    useCPU: useCPU,
    quality: quality
  }) : /*#__PURE__*/React.createElement(Image, props);
};

export default GifImage;
//# sourceMappingURL=index.js.map